%define upstream_name    Getopt-Auto
%define upstream_version 2.0

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Option framework for command-line applications
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Getopt/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(Pod::Usage)
BuildRequires: perl(Readonly)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Output)
BuildRequires: perl(Module::Build::Compat)
BuildArch: noarch

%description
'Getopt::Auto' provides an easy way to organize a script to handle whatever
option mechanism it requires.

For each option '--foo' you provide a subroutine 'sub foo{...}'. The sub is
called every time '--foo' appears on the command line. Values for the
option are taken from '@ARGV'.

If you don't provide a subroutine for '--foo', then '$options{'--foo'}' is
set.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc META.json Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sun Jun 19 2016 pterjan <pterjan> 2.0.0-4.mga6
+ Revision: 1027844
- Rebuild for perl 5.22.2

* Tue Feb 02 2016 umeabot <umeabot> 2.0.0-3.mga6
+ Revision: 931548
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.0.0-2.mga5
+ Revision: 738866
- Second Mageia 5 Mass Rebuild

* Thu Sep 25 2014 tv <tv> 2.0.0-1.mga5
+ Revision: 724542
- imported package perl-Getopt-Auto


* Thu Sep 25 2014 Thierry Vignaud <tv@mageia.org> 2.0.0-1.mga5
- initial import
